Show / Hide Table of Contents

# Struct ImDrawCmdPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawCmdPtr

### Constructors

| Improve this Doc View Source

#### ImDrawCmdPtr(ImDrawCmd*)

##### Declaration

    public ImDrawCmdPtr(ImDrawCmd*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmd* | nativePtr |

| Improve this Doc View Source

#### ImDrawCmdPtr(IntPtr)

##### Declaration

    public ImDrawCmdPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### ClipRect

##### Declaration

    public readonly ref Vector4 ClipRect { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### ElemCount

##### Declaration

    public readonly ref uint ElemCount { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IdxOffset

##### Declaration

    public readonly ref uint IdxOffset { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImDrawCmd*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImDrawCmd* |

| Improve this Doc View Source

#### TextureId

##### Declaration

    public readonly ref IntPtr TextureId { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### UserCallback

##### Declaration

    public readonly ref IntPtr UserCallback { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### UserCallbackData

##### Declaration

    public IntPtr UserCallbackData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### VtxOffset

##### Declaration

    public readonly ref uint VtxOffset { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### GetTexID()

##### Declaration

    public IntPtr GetTexID()

##### Returns

Type | Description
--- | ---
System.IntPtr |

### Operators

| Improve this Doc View Source

#### Implicit(ImDrawCmd* to ImDrawCmdPtr)

##### Declaration

    public static implicit operator ImDrawCmdPtr(ImDrawCmd*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmd* | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawCmdPtr |

| Improve this Doc View Source

#### Implicit(ImDrawCmdPtr to ImDrawCmd*)

##### Declaration

    public static implicit operator ImDrawCmd*(ImDrawCmdPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmdPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImDrawCmd* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImDrawCmdPtr)

##### Declaration

    public static implicit operator ImDrawCmdPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawCmdPtr |